Skip to main content
GET
/
treasury_accounts
/
{treasury_account_id}
Retrieve a treasury account
curl --request GET \
  --url https://api.withacclaim.com/v1/treasury_accounts/{treasury_account_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "tac_b0TrsSg91h",
  "name": "Collected Premium",
  "description": "Treasury account for premium collections",
  "currency": "USD",
  "purpose": "Premium",
  "account_holder_id": "pyee_abc123",
  "balance": 125000,
  "created_at": "2025-10-08T18:20:31Z",
  "updated_at": "2025-10-08T18:25:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

treasury_account_id
string
required

ID of the treasury account.

Response

The treasury account.

id
string
Example:

"tac_b0TrsSg91h"

name
string

Display name for the treasury account

Example:

"Collected Premium"

description
string | null

Optional description of the treasury account

Example:

"Treasury account for premium collections"

currency
string

ISO 4217 currency code

Example:

"USD"

purpose
enum<string>

Purpose or category of the treasury account

Available options:
Premium,
Commission,
Claims,
Operating,
Escrow
Example:

"Premium"

account_holder_id
string | null

ID of the entity that holds/owns this treasury account

Example:

"pyee_abc123"

balance
integer

Amount in smallest currency unit

Example:

125000

created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

updated_at
string<date-time>
Example:

"2025-10-08T18:25:00Z"

Last modified on April 16, 2026